<?php
$categories = get_categories(array('hide_empty' => 0));
foreach ($categories as $category) {
	$cat[$category->term_id] = $category->cat_name;
}
/****************************/
// START BLOG SECTION FOR HOME PAGE
/*============BLOG PANEL============*/
$wp_customize->add_section(
	'blog_area',
	array(
		'title' => __( 'Blog Section', 'luzuk-premium' ),
		'panel' => 'luzuk_premium_home_panel',
     	//'priority' => '50',
	)
);
//ENABLE/DISABLE BLOG SECTION
$wp_customize->add_setting(
	'blog_area_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'blog_area_disable',
		array(
			'settings'      => 'blog_area_disable',
			'section'       => 'blog_area',
			'label'         => __( 'Disable Section', 'luzuk-premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'luzuk-premium' ),
				'off' => __( 'No', 'luzuk-premium' )
			)   
		)
	)
);

lzCustomLable($wp_customize, 'blog_area_blogsectionbackgroung', 'blog_area', 'Section BG Setting');

addColorPalatOption($wp_customize, 'blogarea_background_clr1', 'blog_area', 'Blog Section BG Color 1', '#fff');

addColorPalatOption($wp_customize, 'blogarea_background_clr2', 'blog_area', 'Blog Section BG Color 2', '#019de0');
lzCustomLable($wp_customize, 'blog_area_blogsectionpadding', 'blog_area', 'Section Padding');

$wp_customize->add_setting(
    'blog_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blog_areaTpadding',
    array(
        'settings'      => 'blog_areaTpadding',
        'section'       => 'blog_area',
        'type'          => 'text',
        'label'         => __( 'Top ', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'blog_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blog_areaBpadding',
    array(
        'settings'      => 'blog_areaBpadding',
        'section'       => 'blog_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
	'blog_title_subtitle_heading',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text'
	)
);
$wp_customize->add_control(
	new luzuk_Customize_Heading(
		$wp_customize,
		'blog_title_subtitle_heading',
		array(
			'settings'      => 'blog_title_subtitle_heading',
			'section'       => 'blog_area',
			'label'         => __( 'Section Heading & Sub Heading', 'luzuk-premium' ),
		)
	)
);

$wp_customize->add_setting(
	'blog_subtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Blog', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'blog_subtitle',
	array(
		'settings'      => 'blog_subtitle',
		'section'       => 'blog_area',
		'type'          => 'text',
		'label'         => __( 'Section Sub Heading', 'luzuk-premium' )
	)
);

addColorPalatOption($wp_customize, 'blogarea_secsubtitle_color', 'blog_area', 'Section Sub Heading Color', '#0797ea');

$wp_customize->add_setting(
	'blog_title_title',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'LATEST NEWS', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'blog_title_title',
	array(
		'settings'      => 'blog_title_title',
		'section'       => 'blog_area',
		'type'          => 'text',
		'label'         => __( 'Section Heading', 'luzuk-premium' )
	)
);

addColorPalatOption($wp_customize, 'blogarea_sectitle_color', 'blog_area', 'Section Heading Color', '#000');

lzCustomLable($wp_customize, 'blogPost', 'blog_area', 'Section Blog Post');
//BLOG SETTINGS
$wp_customize->add_setting(
	'blog_post_count',
	array(
		'default'           => '3',
		'sanitize_callback' => 'luzuk_sanitize_choices'
	)
);
$wp_customize->add_control(
	new luzuk_Dropdown_Chooser(
		$wp_customize,
		'blog_post_count',
		array(
			'settings'      => 'blog_post_count',
			'section'       => 'blog_area',
			'label'         => __( 'Number Of Post To Show', 'luzuk-premium' ),
			'choices'       => $luzuk_post_count_choice
		)
	)
);
$wp_customize->add_setting(
	'blog_cat_exclude',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text'
	)
);
$wp_customize->add_control(
	new luzuk_Customize_Checkbox_Multiple(
		$wp_customize,
		'blog_cat_exclude',
		array(
			'label' => __('Exclude Category from Blog Post', 'luzuk-premium'),
			'section' => 'blog_area',
			'settings' => 'blog_cat_exclude',
			'choices' => $luzuk_cat
		)
	)
);
// END BLOG SECTION FOR HOME PAGE
/****************************/


// CREATING A BLOG SECTION IN CUSTOMIZER FOR BLOG PAGES
$wp_customize->add_section(
	'premium_blog_area',
	array(
		'title' => __( 'Blog Page Settings', 'luzuk-premium' ),
		'priority' =>19
	)
);

$wp_customize->add_setting('blog_categories_settings', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control('blog_categories_settings', array(
    'settings' => 'blog_categories_settings',
    'label'    => __('Posts on Blog Page', 'luzuk-premium'),
    'section'  => 'lpremium_blog_area',
    'type'     => 'radio',
    'choices'  => array(
        '0' => __('Excerpts','luzuk-premium'),
        '1' => __('Full Posts','luzuk-premium'),
    ),
));
// ADDING THE CATEGORY TO SELECT
$wp_customize->add_setting('blog_categories', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Checkbox_Multiple(
		$wp_customize,
		'blog_categories',
		array(
			'label' => __('Exclude Category from Blog Post', 'luzuk-premium'),
			'section' => 'premium_blog_area',
			'settings' => 'blog_categories',
			'choices' => $cat
		)
	)
);

lzCustomLable($wp_customize, 'blogcolor', 'blog_area', 'Section Color');

addColorPalatOption($wp_customize, 'blogarea_imghv1_clr', 'blog_area', 'Blog Image Hover Color', '#019de0');

addColorPalatOption($wp_customize, 'blogarea_datetext_color', 'blog_area', 'Blog Date Color', '#fff');

addColorPalatOption($wp_customize, 'blogarea_datetextbg_clr', 'blog_area', 'Blog Date BG Color', '#019de0');

addColorPalatOption($wp_customize, 'blogarea_datebghv_clr', 'blog_area', 'Blog Date BG Hover Color', '#000');

addColorPalatOption($wp_customize, 'blogarea_blgbxbg_color', 'blog_area', 'Blog Box BG Color', '#f1f1f1');

addColorPalatOption($wp_customize, 'blogarea_Icon_color', 'blog_area', 'Blog Icon Color', '#0797ea');

addColorPalatOption($wp_customize, 'blogarea_Icontxt_color', 'blog_area', 'Blog Icon Text Color', '#3b3a3a');

addColorPalatOption($wp_customize, 'blogarea_Title_color', 'blog_area', 'Blog Title Color', '#121111');
// button
lzCustomLable($wp_customize, 'buttontexts', 'blog_area', 'Section Button Setting');

$wp_customize->add_setting(
        'blog_button',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Read More', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'blog_button',
        array(
            'settings'      => 'blog_button',
            'section'       => 'blog_area',
            'type'          => 'text',
            'label'         => __( 'Add Button Text', 'Luzuk' )
        )
    ); 

addColorPalatOption($wp_customize, 'blog_btntxtclr', 'blog_area', 'Section Button Text & Icon Color', '#019add');
addColorPalatOption($wp_customize, 'blog_btntxthvclr', 'blog_area', 'Section Button Text & Icon Hover Color', '#000');